AnsweredAssumed Answered

Multipledefine error

Question asked by sedick01 on Sep 27, 2014

I have a large application that I'm trying to move to the 3.10 version of the JavaScript API. The application is currently on version 3.8. When I change the references around in he header I began receiving the following errors in Chrome:

 

Errorinfo: Objectmessage: "multipleDefine"src: "dojoLoader"stack: (...)get stack: function () { [native code] }set stack: function () { [native code] }__proto__: d

 

and in Firefox:

 

Error: multipleDefine

 

c()/3.10/ (line 15)

 

Ka()/3.10/ (line 36)

Ya/<()/3.10/ (line 37)

f()/3.10/ (line 15)

Ya()/3.10/ (line 37)

qa/h()/3.10/ (line 34)

p.injectUrl/f<()/3.10/ (line 39)

The resource from this URL is not text: http://js.arcgis.com/3.10/

 

I'm also using the following: jquery 1.9.1,  jqueryUI 1.10.4,  Knockout 3.2.0, and modernizr 2.7.1.

 

Other than changing the script and stylesheet from 3.8 to 3.10, nothing has changed. Does anyone have any ideas what causes this?

Outcomes